# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkParameter

Packages that use TSparkParameter
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkParameter in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TSparkParameter
Modifier and Type
Class
Description
`class`
`TSparkParameter`
`class`
`TSparkParameter`
Fields in com.databricks.jdbc.model.client.thrift.generated with type parameters of type TSparkParameter
Modifier and Type
Field
Description
`List<TSparkParameter>`
TExecuteStatementReq.`parameters`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkParameter
Modifier and Type
Method
Description
`TSparkParameter`
TSparkParameter.`deepCopy()`
`TSparkParameter`
TSparkParameter.`setArguments(List<TSparkParameterValueArg> arguments)`
`TSparkParameter`
TSparkParameter.`setName(String name)`
`TSparkParameter`
TSparkParameter.`setOrdinal(int ordinal)`
`TSparkParameter`
TSparkParameter.`setType(String type)`
`TSparkParameter`
TSparkParameter.`setValue(TSparkParameterValue value)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TSparkParameter
Modifier and Type
Method
Description
`List<TSparkParameter>`
TExecuteStatementReq.`getParameters()`
`Iterator<TSparkParameter>`
TExecuteStatementReq.`getParametersIterator()`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkParameter
Modifier and Type
Method
Description
`void`
TExecuteStatementReq.`addToParameters(TSparkParameter elem)`
`int`
TSparkParameter.`compareTo(TSparkParameter other)`
`boolean`
TSparkParameter.`equals(TSparkParameter that)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TSparkParameter
Modifier and Type
Method
Description
`TExecuteStatementReq`
TExecuteStatementReq.`setParameters(List<TSparkParameter> parameters)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkParameter
Modifier
Constructor
Description
``
`TSparkParameter(TSparkParameter other)`
Performs a deep copy on other.